import type { GenerateConfig } from '../../Internal/Generate';
declare function generatePicker<DateType>(generateConfig: GenerateConfig<DateType>): import("./Generate.types").PickerComponentClass<import("./Generate.types").PickerProps<DateType> & {
    status?: "" | "error" | "success" | "warning" | "validating" | "highlight";
    showTime?: any;
}, unknown> & {
    WeekPicker: import("./Generate.types").PickerComponentClass<Omit<import("./Generate.types").PickerDateProps<DateType>, "picker">, unknown>;
    MonthPicker: import("./Generate.types").PickerComponentClass<Omit<import("./Generate.types").PickerDateProps<DateType>, "picker">, unknown>;
    YearPicker: import("./Generate.types").PickerComponentClass<Omit<import("./Generate.types").PickerDateProps<DateType>, "picker">, unknown>;
    RangePicker: import("./Generate.types").PickerComponentClass<import("./Generate.types").RangePickerProps<DateType>, unknown>;
    TimePicker: import("./Generate.types").PickerComponentClass<Omit<import("./Generate.types").PickerTimeProps<DateType>, "picker">, unknown>;
    QuarterPicker: import("./Generate.types").PickerComponentClass<Omit<import("./Generate.types").PickerTimeProps<DateType>, "picker">, unknown>;
};
export default generatePicker;
