import type { OcPickerMode } from '../Internal/OcPicker.types';
import type { dir } from '../../../hooks/useCanvasDirection';
import type { SelectCommonPlacement } from '../../../shared/utilities';
import type { PickerLocale } from './Generate/Generate.types';
export declare function getPlaceholder(picker: OcPickerMode | undefined, locale: PickerLocale, customizePlaceholder?: string): string;
export declare function getRangePlaceholder(picker: OcPickerMode | undefined, locale: PickerLocale, customizePlaceholder?: [string, string]): [string, string];
export declare function transPlacement2DropdownAlign(direction: dir, popupPlacement?: SelectCommonPlacement): {
    points: string[];
    offset: number[];
    overflow: {
        adjustX: number;
        adjustY: number;
    };
};
