import type { GenerateConfig } from '../Generate';
import type { NullableDateType, Locale, RangeValue } from '../OcPicker.types';
declare type UseCellPropsArgs<DateType> = {
    generateConfig: GenerateConfig<DateType>;
    value?: NullableDateType<DateType>;
    isSameCell: (current: NullableDateType<DateType>, target: NullableDateType<DateType>) => boolean;
    today?: NullableDateType<DateType>;
    locale: Locale;
    rangedValue?: RangeValue<DateType>;
};
export default function useCellProps<DateType>({ today, value, isSameCell, locale, generateConfig, rangedValue, }: UseCellPropsArgs<DateType>): (currentDate: DateType) => {
    buttonProps: {
        tabIndex: number;
        'aria-label': string;
    };
    isCellFocused: boolean;
};
export {};
