/// <reference types="react" />
export declare const ANIMATION_DURATION: number;
export declare const useDrawer: ({ initialPlacement, initialVisibility, snapBreakPoints, }: {
    initialPlacement?: number;
    initialVisibility?: boolean;
    snapBreakPoints?: {
        breakpoint: number;
        position: {
            top: string;
        };
    }[];
}) => {
    isSnapped: {};
    setDrawerLevel: (index: number) => void;
    setDrawerVisibility: (visible: boolean) => void;
    drawerRef: import("react").MutableRefObject<HTMLDivElement>;
    draggerProps: {
        onTouchStart: (e: any) => void;
        onTouchMove: (e: any) => void;
        onTouchEnd: () => void;
        onDrag: (e: any) => void;
        onDragStart: (e: any) => void;
        onDragEnd: () => void;
    };
    drawerStyle: {
        transform: string;
    };
    deltaY: number;
    drawerLevel: number;
    drawerVisible: boolean;
};
