import React from 'react';
import useFormItemStatus from '../Hooks/useFormItemStatus';
import { FormItemProps } from '../Form.types';
declare function InternalFormItem<Values = any>(props: FormItemProps<Values>): React.ReactElement;
declare type InternalFormItemType = typeof InternalFormItem;
interface FormItemInterface extends InternalFormItemType {
    useStatus: typeof useFormItemStatus;
}
declare const FormItem: FormItemInterface;
export default FormItem;
