import type { InternalOcNamePath, OcValidateOptions, OcRuleObject, OcStoreValue, OcRuleError } from '../OcForm.types';
/**
 * We use `async-validator` to validate the value.
 * But only check one value in a time to avoid namePath validate issue.
 */
export declare function validateRules(namePath: InternalOcNamePath, value: OcStoreValue, rules: OcRuleObject[], options: OcValidateOptions, validateFirst: boolean | 'parallel', messageVariables?: Record<string, string>): Promise<OcRuleError[]>;
