import { OcBaseProps } from '../OcBase';
export declare enum LoaderSize {
    Large = "large",
    Medium = "medium",
    Small = "small"
}
export interface LoaderProps extends OcBaseProps<HTMLDivElement> {
    /**
     * Custom dot class names.
     */
    dotClassNames?: string;
    /**
     * The size of the loader.
     * @default LoaderSize.Small
     */
    size?: LoaderSize;
}
