import React from 'react';
import type OcTree from './Internal';
import type { DataNode, Key } from './Internal/OcTree.types';
import type { TreeProps } from './Tree.types';
export declare type ExpandAction = false | 'click' | 'doubleClick';
export interface DirectoryTreeProps extends TreeProps {
    expandAction?: ExpandAction;
}
export interface DirectoryTreeState {
    expandedKeys?: Key[];
    selectedKeys?: Key[];
}
declare const ForwardDirectoryTree: React.ForwardRefExoticComponent<DirectoryTreeProps & React.RefAttributes<OcTree<DataNode>>>;
export default ForwardDirectoryTree;
