import type { InternalUploadFile, OcFile, UploadFile } from './Upload.types';
export declare function file2Obj(file: OcFile): InternalUploadFile;
export declare function updateFileList(file: UploadFile<any>, fileList: UploadFile<any>[]): UploadFile<any>[];
export declare function getFileItem(file: OcFile, fileList: UploadFile[]): UploadFile<any>;
export declare function removeFileItem(file: UploadFile, fileList: UploadFile[]): UploadFile<any>[];
export declare const isImageUrl: (file: UploadFile) => boolean;
export declare function previewImage(file: File | Blob): Promise<string>;
