import React, { FC } from 'react';
export declare type Disabled = true | false | undefined;
declare const DisabledContext: React.Context<Disabled>;
export interface DisabledContextProps {
    disabled?: Disabled;
    children?: React.ReactNode;
}
export declare const DisabledContextProvider: FC<DisabledContextProps>;
export default DisabledContext;
