import React, { FC } from 'react';
export declare enum Shape {
    Rectangle = "rectangle",
    Pill = "pill",
    Underline = "underline"
}
declare const ShapeContext: React.Context<Shape>;
export interface ShapeContextProps {
    shape?: Shape;
    children?: React.ReactNode;
}
export declare const ShapeContextProvider: FC<ShapeContextProps>;
export default ShapeContext;
