import React, { FC } from 'react';
export declare enum Size {
    Flex = "flex",
    Large = "large",
    Medium = "medium",
    Small = "small"
}
declare const SizeContext: React.Context<Size>;
export interface SizeContextProps {
    size?: Size;
    children?: React.ReactNode;
}
export declare const SizeContextProvider: FC<SizeContextProps>;
export default SizeContext;
