import { IGetFontStyle, IRegisterFont, FontOptions, CustomFont } from './Font.types';
import { IGetStyle, IRegisterTheme, ThemeOptions, Variables } from './Theming.types';
interface Options {
    attachTo?: Element;
    csp?: {
        nonce?: string;
    };
    prepend?: boolean;
    mark?: string;
}
export declare function getStyle(themeOptions: ThemeOptions): IGetStyle;
export declare function getFontStyle(fontOptions: FontOptions): IGetFontStyle;
export declare function injectCSS(variables: Variables, id: string, customFonts?: CustomFont[], option?: Options, className?: string): HTMLStyleElement;
export declare function registerTheme(themeOptions: ThemeOptions, containerId?: string, componentClassName?: string): IRegisterTheme;
export declare function registerFont(fontOptions: FontOptions): IRegisterFont;
export {};
