import type { Dayjs } from 'dayjs';
import type { OcPickerDateProps, OcPickerProps, OcRangePickerProps as BaseRangePickerProps } from '../Internal/OcPicker.types';
export { DatePickerShape, DatePickerSize } from '../Internal/OcPicker.types';
export declare type DatePickerProps = OcPickerProps<Dayjs>;
export declare type MonthPickerProps = Omit<OcPickerDateProps<Dayjs>, 'picker'>;
export declare type WeekPickerProps = Omit<OcPickerDateProps<Dayjs>, 'picker'>;
export declare type RangePickerProps = BaseRangePickerProps<Dayjs>;
declare const DatePicker: import("./Generate/Generate.types").PickerComponentClass<import("./Generate/Generate.types").PickerProps<Dayjs> & {
    status?: "" | "error" | "success" | "warning" | "validating" | "highlight";
    showTime?: any;
}, unknown> & {
    WeekPicker: import("./Generate/Generate.types").PickerComponentClass<Omit<import("./Generate/Generate.types").PickerDateProps<Dayjs>, "picker">, unknown>;
    MonthPicker: import("./Generate/Generate.types").PickerComponentClass<Omit<import("./Generate/Generate.types").PickerDateProps<Dayjs>, "picker">, unknown>;
    YearPicker: import("./Generate/Generate.types").PickerComponentClass<Omit<import("./Generate/Generate.types").PickerDateProps<Dayjs>, "picker">, unknown>;
    RangePicker: import("./Generate/Generate.types").PickerComponentClass<import("./Generate/Generate.types").RangePickerProps<Dayjs>, unknown>;
    TimePicker: import("./Generate/Generate.types").PickerComponentClass<Omit<import("./Generate/Generate.types").PickerTimeProps<Dayjs>, "picker">, unknown>;
    QuarterPicker: import("./Generate/Generate.types").PickerComponentClass<Omit<import("./Generate/Generate.types").PickerTimeProps<Dayjs>, "picker">, unknown>;
};
export default DatePicker;
