import type { GenerateConfig } from '../Generate';
import type { Locale, OcPickerMode, RangeValue } from '../OcPicker.types';
export default function useRangeDisabled<DateType>({ picker, selectedValue, locale, disabled, disabledDate, readonly, generateConfig, }: {
    picker: OcPickerMode;
    selectedValue: RangeValue<DateType>;
    locale: Locale;
    disabled: [boolean, boolean];
    disabledDate?: (date: DateType) => boolean;
    readonly: [boolean, boolean];
    generateConfig: GenerateConfig<DateType>;
}, firstTimeOpen: boolean): ((date: DateType) => boolean)[];
