import React from 'react';
export declare type SourceType = 'open' | 'blur' | 'confirm' | 'cancel' | 'clear' | 'preset';
export default function useRangeOpen(defaultOpen: boolean, open: boolean, activePickerIndex: 0 | 1 | undefined, changeOnBlur: boolean, startInputRef: React.RefObject<HTMLInputElement>, endInputRef: React.RefObject<HTMLInputElement>, startSelectedValue: any, endSelectedValue: any, disabled: [boolean, boolean], readonly: [boolean, boolean], onOpenChange?: (open: boolean) => void): [
    open: boolean,
    activeIndex: 0 | 1,
    firstTimeOpen: boolean,
    triggerOpen: (open: boolean, activeIndex: 0 | 1 | false, source: SourceType) => void
];
