import type { RangeValue, OcPickerMode } from '../OcPicker.types';
import type { GenerateConfig } from '../Generate';
export default function useRangeViewDates<DateType>({ values, picker, defaultDates, generateConfig, }: {
    values: RangeValue<DateType>;
    picker: OcPickerMode;
    defaultDates: RangeValue<DateType> | undefined;
    generateConfig: GenerateConfig<DateType>;
}): [
    (activePickerIndex: 0 | 1) => DateType,
    (viewDate: DateType | null, index: 0 | 1) => void
];
