import React from 'react';
import { FormProps } from './Form.types';
import { OcList, useWatch } from './Internal';
import useForm, { FormInstance } from './Hooks/useForm';
declare const Form: <Values = any>(props: FormProps<Values> & {
    children?: React.ReactNode;
} & {
    ref?: React.Ref<FormInstance<Values>>;
}) => React.ReactElement;
export { useForm, OcList, FormInstance, useWatch };
export default Form;
