import type { OcNamePath, OcStore, OcFormInstance } from './OcForm.types';
declare type ReturnPromise<T> = T extends Promise<infer ValueType> ? ValueType : never;
declare type GetGeneric<TForm extends OcFormInstance> = ReturnPromise<ReturnType<TForm['validateFields']>>;
export declare function stringify(value: any): string | number;
declare function useWatch<TDependencies1 extends keyof GetGeneric<TForm>, TForm extends OcFormInstance, TDependencies2 extends keyof GetGeneric<TForm>[TDependencies1], TDependencies3 extends keyof GetGeneric<TForm>[TDependencies1][TDependencies2], TDependencies4 extends keyof GetGeneric<TForm>[TDependencies1][TDependencies2][TDependencies3]>(dependencies: [
    TDependencies1,
    TDependencies2,
    TDependencies3,
    TDependencies4
], form?: TForm): GetGeneric<TForm>[TDependencies1][TDependencies2][TDependencies3][TDependencies4];
declare function useWatch<TDependencies1 extends keyof GetGeneric<TForm>, TForm extends OcFormInstance, TDependencies2 extends keyof GetGeneric<TForm>[TDependencies1], TDependencies3 extends keyof GetGeneric<TForm>[TDependencies1][TDependencies2]>(dependencies: [TDependencies1, TDependencies2, TDependencies3], form?: TForm): GetGeneric<TForm>[TDependencies1][TDependencies2][TDependencies3];
declare function useWatch<TDependencies1 extends keyof GetGeneric<TForm>, TForm extends OcFormInstance, TDependencies2 extends keyof GetGeneric<TForm>[TDependencies1]>(dependencies: [TDependencies1, TDependencies2], form?: TForm): GetGeneric<TForm>[TDependencies1][TDependencies2];
declare function useWatch<TDependencies extends keyof GetGeneric<TForm>, TForm extends OcFormInstance>(dependencies: TDependencies | [TDependencies], form?: TForm): GetGeneric<TForm>[TDependencies];
declare function useWatch<TForm extends OcFormInstance>(dependencies: [], form?: TForm): GetGeneric<TForm>;
declare function useWatch<TForm extends OcFormInstance>(dependencies: OcNamePath, form?: TForm): any;
declare function useWatch<ValueType = OcStore>(dependencies: OcNamePath, form?: OcFormInstance): ValueType;
export default useWatch;
