import React from 'react';
import { BasicProps } from './Layout.types';
declare const Layout: React.ForwardRefExoticComponent<BasicProps & React.RefAttributes<HTMLElement>>;
declare const Nav: React.ForwardRefExoticComponent<BasicProps & React.RefAttributes<HTMLElement>>;
declare const Header: React.ForwardRefExoticComponent<BasicProps & React.RefAttributes<HTMLElement>>;
declare const Footer: React.ForwardRefExoticComponent<BasicProps & React.RefAttributes<HTMLElement>>;
declare const Content: React.ForwardRefExoticComponent<BasicProps & React.RefAttributes<HTMLElement>>;
declare const Section: React.ForwardRefExoticComponent<BasicProps & React.RefAttributes<HTMLElement>>;
declare const Article: React.ForwardRefExoticComponent<BasicProps & React.RefAttributes<HTMLElement>>;
/** Developers may add whatever semantic elements required to meet A11y specs here using the above as a template.
 *  The above represent the most common regions of any web application.
 *  Some examples of semantic elements may be found at https://www.w3schools.com/html/html5_semantic_elements.asp
 */
export { Article, Content, Footer, Header, Nav, Section };
export default Layout;
