import InternalLayout, { Article, Content, Footer, Header, Nav, Section } from './Layout';
import { Aside } from './Aside';
export { AsideProps, BasicProps as LayoutProps } from './Layout.types';
declare type InternalLayoutType = typeof InternalLayout;
export interface LayoutType extends InternalLayoutType {
    Article: typeof Article;
    Aside: typeof Aside;
    Content: typeof Content;
    Footer: typeof Footer;
    Header: typeof Header;
    Nav: typeof Nav;
    Section: typeof Section;
}
declare const Layout: LayoutType;
export default Layout;
