import React from 'react';
import type { CSSMotionProps, MotionStatus, StepStatus } from '../CSSMotion.types';
export declare const useStatus: (visible: boolean, getElement: () => HTMLElement, { motionEnter, motionAppear, motionLeave, motionDeadline, motionLeaveImmediately, onAppearPrepare, onEnterPrepare, onLeavePrepare, onAppearStart, onEnterStart, onLeaveStart, onAppearActive, onEnterActive, onLeaveActive, onAppearEnd, onEnterEnd, onLeaveEnd, onVisibleChanged, }: CSSMotionProps) => [MotionStatus, StepStatus, React.CSSProperties, boolean];
