import { SliderMarker } from '../Slider.types';
/** Format value align with step & marks */
declare type FormatValue = (value: number) => number;
declare type OffsetMode = 'unit' | 'dist';
export declare type OffsetValues = (values: number[], offset: number | 'min' | 'max', valueIndex: number, mode?: OffsetMode) => {
    value: number;
    values: number[];
};
export default function useOffset(min: number, max: number, step: number, markers: SliderMarker[]): [FormatValue, OffsetValues];
export {};
