import React from 'react';
interface DefaultExpandIconProps<RecordType> {
    expandable: boolean;
    expanded: boolean;
    onExpand: (record: RecordType, e: React.MouseEvent<HTMLElement>) => void;
    record: RecordType;
    disabled?: boolean;
}
declare function renderExpandIcon(collapseText: string, expandText: string): <RecordType>({ onExpand, record, expanded, expandable, disabled, }: DefaultExpandIconProps<RecordType>) => React.JSX.Element;
export default renderExpandIcon;
