/// <reference types="react" />
export interface PerfRecord {
    /**
     * Ensure Cells always rerender if set to true,
     * Use cautiously as this will effect performance
     * rerender is triggered by certain events:
     * onMouseEnter, onMouseLeave, onScroll
     * @default false
     */
    renderWithProps: boolean;
}
declare const PerfContext: import("react").Context<PerfRecord>;
export default PerfContext;
