import React from 'react';
import type { DefaultRecordType, OcTableProps } from './OcTable.types';
declare function OcTable<RecordType extends DefaultRecordType>(props: OcTableProps<RecordType>): React.JSX.Element;
declare namespace OcTable {
    var EXPAND_COLUMN: {};
    var Column: typeof import("./Column").default;
    var ColumnGroup: typeof import("./ColumnGroup").default;
    var Summary: typeof import("./Footer/Summary").default;
    var defaultProps: {
        rowKey: string;
        emptyText: () => string;
    };
}
export default OcTable;
