import React, { Component } from 'react';
import AjaxUpload from './AjaxUploader';
import type { OcUploadProps, OcFile } from './OcUpload.types';
declare function empty(): void;
declare class OcUpload extends Component<OcUploadProps> {
    static defaultProps: {
        beforeUpload: any;
        component: string;
        customRequest: any;
        data: {};
        headers: {};
        multipart: boolean;
        multiple: boolean;
        name: string;
        onError: typeof empty;
        onStart: typeof empty;
        onSuccess: typeof empty;
        openFileDialogOnClick: boolean;
        withCredentials: boolean;
    };
    private uploader;
    abort(file: OcFile): void;
    saveUploader: (node: AjaxUpload) => void;
    render(): React.JSX.Element;
}
export default OcUpload;
