import type { OcFile } from './OcUpload.types';
interface InternalDataTransferItem extends DataTransferItem {
    isFile: boolean;
    file: (cd: (file: OcFile & {
        webkitRelativePath?: string;
    }) => void) => void;
    createReader: () => any;
    fullPath: string;
    isDirectory: boolean;
    name: string;
    path: string;
}
declare const traverseFileTree: (files: InternalDataTransferItem[], callback: {
    (files: File[]): void;
    (arg0: (OcFile & {
        webkitRelativePath?: string;
    })[]): void;
}, isAccepted: {
    (_file: OcFile): boolean;
    (arg0: OcFile & {
        webkitRelativePath?: string;
    }): any;
}) => void;
export default traverseFileTree;
