/// <reference types="react" />
import Dropzone from './Dropzone';
import type { UploadProps } from './Upload';
import InternalUpload from './Upload';
export { DropzoneProps } from './Dropzone';
export { OcFile, UploadChangeParam, UploadFile, UploadFileStatus, UploadListProps, UploadProps, UploadSize, } from './Upload.types';
declare type InternalUploadType = typeof InternalUpload;
interface UploadInterface<T = any> extends InternalUploadType {
    <U extends T>(props: React.PropsWithChildren<UploadProps<U>> & React.RefAttributes<any>): React.ReactElement;
    Dropzone: typeof Dropzone;
    LIST_IGNORE: string;
}
declare const Upload: UploadInterface<any>;
export { UploadInterface };
export default Upload;
