import type { Locale } from './components/LocaleProvider';
import { useLocaleReceiver } from './components/LocaleProvider/LocaleReceiver';
import arSA from './components/Locale/ar_SA';
import bgBG from './components/Locale/bg_BG';
import csCZ from './components/Locale/cs_CZ';
import daDK from './components/Locale/da_DK';
import deDE from './components/Locale/de_DE';
import elGR from './components/Locale/el_GR';
import enGB from './components/Locale/en_GB';
import enUS from './components/Locale/en_US';
import esES from './components/Locale/es_ES';
import esDO from './components/Locale/es_DO';
import esMX from './components/Locale/es_MX';
import fiFI from './components/Locale/fi_FI';
import frBE from './components/Locale/fr_BE';
import frCA from './components/Locale/fr_CA';
import frFR from './components/Locale/fr_FR';
import heIL from './components/Locale/he_IL';
import hiIN from './components/Locale/hi_IN';
import hrHR from './components/Locale/hr_HR';
import htHT from './components/Locale/ht_HT';
import huHU from './components/Locale/hu_HU';
import itIT from './components/Locale/it_IT';
import jaJP from './components/Locale/ja_JP';
import koKR from './components/Locale/ko_KR';
import msMY from './components/Locale/ms_MY';
import nbNO from './components/Locale/nb_NO';
import nlBE from './components/Locale/nl_BE';
import nlNL from './components/Locale/nl_NL';
import plPL from './components/Locale/pl_PL';
import ptBR from './components/Locale/pt_BR';
import ptPT from './components/Locale/pt_PT';
import roRO from './components/Locale/ro_RO';
import ruRU from './components/Locale/ru_RU';
import skSK from './components/Locale/sk_SK';
import srRS from './components/Locale/sr_RS';
import svSE from './components/Locale/sv_SE';
import teIN from './components/Locale/te_IN';
import thTH from './components/Locale/th_TH';
import trTR from './components/Locale/tr_TR';
import ukUA from './components/Locale/uk_UA';
import viVN from './components/Locale/vi_VN';
import zhCN from './components/Locale/zh_CN';
import zhTW from './components/Locale/zh_TW';
export { Locale, arSA, bgBG, csCZ, daDK, deDE, elGR, enGB, enUS, esES, esDO, esMX, fiFI, frBE, frCA, frFR, heIL, hiIN, hrHR, htHT, huHU, itIT, jaJP, koKR, msMY, nbNO, nlBE, nlNL, plPL, ptBR, ptPT, roRO, ruRU, skSK, srRS, svSE, teIN, thTH, trTR, ukUA, useLocaleReceiver, viVN, zhCN, zhTW, };
