/**
 * A custom wrapper for addEventListener
 * @param target - The element target
 * @param type - The event type
 * @param listener - The callback function
 * @param option - The options
 * @returns A self-removing event listener
 */
export declare const addEventListenerWrapper: (target: any, type: string, listener: (a: any) => any | EventListenerOrEventListenerObject, options?: boolean | EventListenerOrEventListenerObject) => {
    remove: () => void;
};
