/**
 * Utility the gets the scroll bar size.
 * @param fresh - boolean to determine whether to get the size or use the cached size.
 * @returns {number}
 */
export declare const getScrollBarSize: (fresh?: boolean) => number;
/**
 * Utility that gets the scroll bar size of a given element.
 * @param target - the target element to get the scroll bar size.
 * @returns {number, number}
 */
export declare const getTargetScrollBarSize: (target: HTMLElement) => {
    width: number;
    height: number;
};
