/**
 * Utility to determine if the browser supports a given style name and/or its value.
 * Takes a single styleName string or an array.
 * @param styleName - Name of the style.
 * @param styleValue - Value of the style.
 * @returns {boolean}
 */
export declare const isStyleSupport: (styleName: string | string[], styleValue?: any) => boolean;
