import * as React from 'react';
/**
 * Extends React.CSSProperties so that CSS Variables may be assigned values from components.
 */
export interface CSSVariables extends React.CSSProperties {
    '--primary-color-10'?: string;
    '--primary-color-20'?: string;
    '--primary-color-30'?: string;
    '--primary-color-40'?: string;
    '--primary-color-50'?: string;
    '--primary-color-60'?: string;
    '--primary-color-70'?: string;
    '--primary-color-80'?: string;
    '--primary-color-90'?: string;
    '--primary-color-100'?: string;
    '--primary-color'?: string;
    '--accent-color-10'?: string;
    '--accent-color-20'?: string;
    '--accent-color-30'?: string;
    '--accent-color-40'?: string;
    '--accent-color-50'?: string;
    '--accent-color-60'?: string;
    '--accent-color-70'?: string;
    '--accent-color-80'?: string;
    '--accent-color-90'?: string;
    '--accent-color-100'?: string;
    '--accent-color'?: string;
    '--disruptive-color-10'?: string;
    '--disruptive-color-20'?: string;
    '--disruptive-color-30'?: string;
    '--disruptive-color-40'?: string;
    '--disruptive-color-50'?: string;
    '--disruptive-color-60'?: string;
    '--disruptive-color-70'?: string;
    '--disruptive-color-80'?: string;
    '--disruptive-color-90'?: string;
    '--disruptive-color-100'?: string;
    '--disruptive-color'?: string;
    '--red-color-10'?: string;
    '--red-color-20'?: string;
    '--red-color-30'?: string;
    '--red-color-40'?: string;
    '--red-color-50'?: string;
    '--red-color-60'?: string;
    '--red-color-70'?: string;
    '--red-color-80'?: string;
    '--red-color-90'?: string;
    '--red-color-100'?: string;
    '--red-color'?: string;
    '--orange-color-10'?: string;
    '--orange-color-20'?: string;
    '--orange-color-30'?: string;
    '--orange-color-40'?: string;
    '--orange-color-50'?: string;
    '--orange-color-60'?: string;
    '--orange-color-70'?: string;
    '--orange-color-80'?: string;
    '--orange-color-90'?: string;
    '--orange-color-100'?: string;
    '--orange-color'?: string;
    '--yellow-color-10'?: string;
    '--yellow-color-20'?: string;
    '--yellow-color-30'?: string;
    '--yellow-color-40'?: string;
    '--yellow-color-50'?: string;
    '--yellow-color-60'?: string;
    '--yellow-color-70'?: string;
    '--yellow-color-80'?: string;
    '--yellow-color-90'?: string;
    '--yellow-color-100'?: string;
    '--yellow-color'?: string;
    '--green-color-10'?: string;
    '--green-color-20'?: string;
    '--green-color-30'?: string;
    '--green-color-40'?: string;
    '--green-color-50'?: string;
    '--green-color-60'?: string;
    '--green-color-70'?: string;
    '--green-color-80'?: string;
    '--green-color-90'?: string;
    '--green-color-100'?: string;
    '--green-color'?: string;
    '--bluegreen-color-10'?: string;
    '--bluegreen-color-20'?: string;
    '--bluegreen-color-30'?: string;
    '--bluegreen-color-40'?: string;
    '--bluegreen-color-50'?: string;
    '--bluegreen-color-60'?: string;
    '--bluegreen-color-70'?: string;
    '--bluegreen-color-80'?: string;
    '--bluegreen-color-90'?: string;
    '--bluegreen-color-100'?: string;
    '--bluegreen-color'?: string;
    '--blue-color-10'?: string;
    '--blue-color-20'?: string;
    '--blue-color-30'?: string;
    '--blue-color-40'?: string;
    '--blue-color-50'?: string;
    '--blue-color-60'?: string;
    '--blue-color-70'?: string;
    '--blue-color-80'?: string;
    '--blue-color-90'?: string;
    '--blue-color-100'?: string;
    '--blue-color'?: string;
    '--blueviolet-color-10'?: string;
    '--blueviolet-color-20'?: string;
    '--blueviolet-color-30'?: string;
    '--blueviolet-color-40'?: string;
    '--blueviolet-color-50'?: string;
    '--blueviolet-color-60'?: string;
    '--blueviolet-color-70'?: string;
    '--blueviolet-color-80'?: string;
    '--blueviolet-color-90'?: string;
    '--blueviolet-color-100'?: string;
    '--violet-color-10'?: string;
    '--violet-color-20'?: string;
    '--violet-color-30'?: string;
    '--violet-color-40'?: string;
    '--violet-color-50'?: string;
    '--violet-color-60'?: string;
    '--violet-color-70'?: string;
    '--violet-color-80'?: string;
    '--violet-color-90'?: string;
    '--violet-color-100'?: string;
    '--violet-color'?: string;
    '--violetred-color-10'?: string;
    '--violetred-color-20'?: string;
    '--violetred-color-30'?: string;
    '--violetred-color-40'?: string;
    '--violetred-color-50'?: string;
    '--violetred-color-60'?: string;
    '--violetred-color-70'?: string;
    '--violetred-color-80'?: string;
    '--violetred-color-90'?: string;
    '--violetred-color-100'?: string;
    '--violetred-color'?: string;
    '--grey-color-10'?: string;
    '--grey-color-20'?: string;
    '--grey-color-30'?: string;
    '--grey-color-40'?: string;
    '--grey-color-50'?: string;
    '--grey-color-60'?: string;
    '--grey-color-70'?: string;
    '--grey-color-80'?: string;
    '--grey-color-90'?: string;
    '--grey-color-100'?: string;
    '--grey-color'?: string;
    '--background-color'?: string;
    '--border-color'?: string;
    '--text-primary-color'?: string;
    '--text-secondary-color'?: string;
    '--text-inverse-color'?: string;
    '--success-color'?: string;
    '--warning-color'?: string;
    '--error-color'?: string;
    '--info-color'?: string;
    '--white-color'?: string;
    '--black-color'?: string;
    '--font-family'?: string;
    '--font-stack'?: string;
    '--font-size'?: string;
}
